package cn.com.countrygarden.bi.main.model.performance;

/**
 * 城市公司—社区经营税前利润
 * @author Max Date:2018/09/06
 * @since 1.8
 * @version 1.0
 */
public class CommunityProfix {

    private int year;//年份
    private String quarter;//季度

    private String hierarchyId;//区域id
    private String hierarchyName;// 区域名称
    private String Second_organization;    //二级组织
    private String Third_organization;     //三级组织

    private String complete;//完成值

    //目标值
    private String thresholdTarget;  //门槛值
    private String atLeastTarget;  //保底值
    private String screamTarget;  //尖叫值
    private String howlTarget;  //嚎叫值

    private String individualScore;      // 指标单项得分

    private String isCheck;//是否需要考核

    public CommunityProfix() {

    }

    public CommunityProfix(int year, String quarter, String hierarchyId, String hierarchyName, String second_organization, String third_organization, String complete, String thresholdTarget, String atLeastTarget, String screamTarget, String howlTarget, String individualScore, String isCheck) {
        this.year = year;
        this.quarter = quarter;
        this.hierarchyId = hierarchyId;
        this.hierarchyName = hierarchyName;
        Second_organization = second_organization;
        Third_organization = third_organization;
        this.complete = complete;
        this.thresholdTarget = thresholdTarget;
        this.atLeastTarget = atLeastTarget;
        this.screamTarget = screamTarget;
        this.howlTarget = howlTarget;
        this.individualScore = individualScore;
        this.isCheck = isCheck;
    }

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }

    public String getQuarter() {
        return quarter;
    }

    public void setQuarter(String quarter) {
        this.quarter = quarter;
    }

    public String getHierarchyId() {
        return hierarchyId;
    }

    public void setHierarchyId(String hierarchyId) {
        this.hierarchyId = hierarchyId;
    }

    public String getHierarchyName() {
        return hierarchyName;
    }

    public void setHierarchyName(String hierarchyName) {
        this.hierarchyName = hierarchyName;
    }

    public String getSecond_organization() {
        return Second_organization;
    }

    public void setSecond_organization(String second_organization) {
        Second_organization = second_organization;
    }

    public String getThird_organization() {
        return Third_organization;
    }

    public void setThird_organization(String third_organization) {
        Third_organization = third_organization;
    }

    public String getComplete() {
        return complete;
    }

    public void setComplete(String complete) {
        this.complete = complete;
    }

    public String getThresholdTarget() {
        return thresholdTarget;
    }

    public void setThresholdTarget(String thresholdTarget) {
        this.thresholdTarget = thresholdTarget;
    }

    public String getAtLeastTarget() {
        return atLeastTarget;
    }

    public void setAtLeastTarget(String atLeastTarget) {
        this.atLeastTarget = atLeastTarget;
    }

    public String getScreamTarget() {
        return screamTarget;
    }

    public void setScreamTarget(String screamTarget) {
        this.screamTarget = screamTarget;
    }

    public String getHowlTarget() {
        return howlTarget;
    }

    public void setHowlTarget(String howlTarget) {
        this.howlTarget = howlTarget;
    }

    public String getIndividualScore() {
        return individualScore;
    }

    public void setIndividualScore(String individualScore) {
        this.individualScore = individualScore;
    }

    public String getIsCheck() {
        return isCheck;
    }

    public void setIsCheck(String isCheck) {
        this.isCheck = isCheck;
    }
}
